resources.logs
GET
/resources/{resourceId}/runtime-logs
const url = 'https://example.com/api/resources/example/runtime-logs?tailLines=100';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/resources/example/runtime-logs?tailLines=100'Reads resource runtime logs. Public docs: /docs/observe/logs-health/#observe-runtime-logs
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” resourceId
required
string
Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”OK
Media type application/json
object
resourceId
required
string
deploymentId
string
logs
required
Array<object>
object
resourceId
required
string
deploymentId
string
serviceName
string
runtimeKind
string
runtimeInstanceId
string
stream
string
timestamp
string
sequence
number
cursor
string
message
required
string
masked
required
boolean
Example
{ "logs": [ { "stream": "stdout" } ]}